package de.hsrm.jakartaee.knauf.statelessservice.client;

import de.hsrm.jakartaee.knauf.statelessservice.client.GeometricModelBeanServiceStub.ComputeCuboidSurface;
import de.hsrm.jakartaee.knauf.statelessservice.client.GeometricModelBeanServiceStub.ComputeCuboidSurfaceE;
import de.hsrm.jakartaee.knauf.statelessservice.client.GeometricModelBeanServiceStub.ComputeCuboidSurfaceResponseE;
import de.hsrm.jakartaee.knauf.statelessservice.client.GeometricModelBeanServiceStub.ComputeCuboidVolume;
import de.hsrm.jakartaee.knauf.statelessservice.client.GeometricModelBeanServiceStub.ComputeCuboidVolumeE;
import de.hsrm.jakartaee.knauf.statelessservice.client.GeometricModelBeanServiceStub.ComputeCuboidVolumeResponseE;

public class StatelessClient
{

  public static void main(String[] args)
  {
    try
    {
      System.out.println("STARTED...");
      GeometricModelBeanServiceStub stub = new GeometricModelBeanServiceStub(
          "http://localhost:8080/StatelessServiceEJB/GeometricModelBean?wsdl");

      System.out.println("Executing computeCuboidSurface...");
      ComputeCuboidSurfaceE requestSurface = new ComputeCuboidSurfaceE();
      ComputeCuboidSurface requestParamSurface = new ComputeCuboidSurface();
      requestParamSurface.setArg0(10);
      requestParamSurface.setArg1(20);
      requestParamSurface.setArg2(30);
      requestSurface.setComputeCuboidSurface(requestParamSurface);

      ComputeCuboidSurfaceResponseE responseSurface = stub.computeCuboidSurface(requestSurface);
      System.out.println("Surface: " + responseSurface.getComputeCuboidSurfaceResponse().get_return());

      System.out.println("Executing computeCuboidVolume...");
      ComputeCuboidVolumeE requestVolume = new ComputeCuboidVolumeE();
      ComputeCuboidVolume requestParamVolume = new ComputeCuboidVolume();
      requestParamVolume.setArg0(10);
      requestParamVolume.setArg1(20);
      requestParamVolume.setArg2(30);
      requestVolume.setComputeCuboidVolume(requestParamVolume);

      ComputeCuboidVolumeResponseE responseVolume = stub.computeCuboidVolume(requestVolume);
      System.out.println("Volume: " + responseVolume.getComputeCuboidVolumeResponse().get_return());

      
    }
    catch (Exception e)
    {
      e.printStackTrace();
    }
  }

}
